Package org.apache.wiki.xmlrpc

# Class RPCHandler

java.lang.Object
org.apache.wiki.xmlrpc.AbstractRPCHandler
org.apache.wiki.xmlrpc.RPCHandler

All Implemented Interfaces:
  `WikiRPCHandler`

public class RPCHandler extends AbstractRPCHandler
Provides handlers for all RPC routines.

Since:
  1.6.6

## Field Summary

### Fields inherited from class org.apache.wiki.xmlrpc.AbstractRPCHandler

`ERR_NOPAGE, ERR_NOPERMISSION, LINK_EXTERNAL, LINK_INLINE, LINK_LOCAL, m_context, m_engine, RPC_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`RPCHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected Hashtable<String,Object>`
`encodeWikiPage(Page page)`
Encodes a single wiki page info into a Hashtable.
`Vector<String>`
`getAllPages()`
`String`
`getApplicationName()`
`byte[]`
`getPage(String pagename)`
`byte[]`
`getPageHTML(String pagename)`
`byte[]`
`getPageHTMLVersion(String pagename, int version)`
`Hashtable<String,Object>`
`getPageInfo(String pagename)`
`Hashtable<String,Object>`
`getPageInfoVersion(String pagename, int version)`
`byte[]`
`getPageVersion(String pagename, int version)`
`Vector<Hashtable<String,Object>>`
`getRecentChanges(Date since)`
`Vector<Hashtable<String,String>>`
`listLinks(String pagename)`

### Methods inherited from class org.apache.wiki.xmlrpc.AbstractRPCHandler

`checkPermission, getRPCVersionSupported, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RPCHandler

public RPCHandler()

## Method Details

### getApplicationName

public String getApplicationName()

### getAllPages

public Vector<String> getAllPages()

### encodeWikiPage

protected Hashtable<String,Object> encodeWikiPage(Page page)
Encodes a single wiki page info into a Hashtable.

Specified by:
  `encodeWikiPage` in class `AbstractRPCHandler`

### getRecentChanges

public Vector<Hashtable<String,Object>> getRecentChanges(Date since)

Overrides:
  `getRecentChanges` in class `AbstractRPCHandler`

### getPageInfo

public Hashtable<String,Object> getPageInfo(String pagename) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### getPageInfoVersion

public Hashtable<String,Object> getPageInfoVersion(String pagename, int version) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### getPage

public byte[] getPage(String pagename) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### getPageVersion

public byte[] getPageVersion(String pagename, int version) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### getPageHTML

public byte[] getPageHTML(String pagename) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### getPageHTMLVersion

public byte[] getPageHTMLVersion(String pagename, int version) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

### listLinks

public Vector<Hashtable<String,String>> listLinks(String pagename) throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`